Kerbal Space Program - Bug #1099

Surface Attachment occasionally causing NRE spam
07/24/2013 06:57 PM - Ted

Status: Closed Start date: 07/24/2013
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.21 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When attaching parts, notably ~0.625m ones, via surface attachment on to a part, and then node attaching another surface
attachable part onto aforementioned part, the following NRE spams the Debug Log:

NullReferenceException: Object reference not set to an instance of an object
at EditorLogic.CheckSymPartsAttach (. oAttach) [0x00000] in <filename unknown>:0
at EditorLogic.UpdatePartMode () [0x00000] in <filename unknown>:0
at EditorLogic.Update () [0x00000] in <filename unknown>:0
Reproduction
1. Go to either editor.
2. Select a root part, a pod does nicely.
3. Attach a surface attachable part to the pod (eg RTG, or small octagonal strut)
4. Attach another surface attachable part to said part.

5. Observe NREs in the Debug Log, these remain as long as the part is hovering over the other.

Notes

This appears to cease after a number of reproductions, with attempts to reproduce it failing. Restarting the game allows it to occur

again. No issues seem to occur due to the NRE.

History

#1 - 07/24/2013 07:20 PM - hoojiwana
- File output_log.txt added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

My own testing has shown this only occurs when trying to connect to a part that has symmetry on.

Here's a video of it in action: http://www.youtube.com/watch?v=0avIHZXqVTo

Output log attached.

#2 - 08/16/2013 09:09 AM - Ted
- Category set to Parts

#3 - 11/21/2015 10:16 AM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This appears to be unreproducible in the current build (1028)
http://www.youtube.com/watch?v=OavIHZXqVTo

#4 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files

output_log.ixt 254 KB 07/24/2013 hoojiwana
